<script src="@#file#(simpletransf.js)" type="text/javascript"></script>

<p>U nastavku idemo pogledati još jedan primjer iz kojeg će se lijepo vidjeti građa matrice afine transformacije. Primjer je prikazan u nastavku.</p>

<style>
 table.mattbl td {width: 8em; text-align:center;} 
 table.mattbl {border-left: 1px solid black; border-right: 1px solid black; position:relative; width:500px; margin: auto;} 
 .vecrowx {color: red;}
 .vecrowy {color: green;}
 .vecrowb {color: blue;}
</style>

<p>Izvorni koordinatni sustav prikazan je sivom bojom. Transformirani koordinatni sustav prikazan je ljubičastom bojom.
   Pokazivačem miša može uhvatiti pozitivne vrhove x- i y-osi te ishodište transformiranog koordinatnog sustava i možete ih povući na željenu poziciju.
   Odgovarajuća transformacijska matrica koja originalni koordinatni sustav prevodi u novi prikazana je ispod.
   Primijetite kako promjena svake od osi odnosno ishodišta u matrici uvijek mijenja samo po dva broja. Odgovarajući vektori također su
   nacrtani na slici.</p>

<div width="500" height="500" style="position:relative; width:500px; margin: auto;">
<canvas id="myCanvas2" width="500" height="500" style="border: 1px solid white;"></canvas>
</div>
<table class="mattbl">
<tr><td id="mattr_0_0" class="vecrowx"></td><td id="mattr_0_1" class="vecrowx"></td><td>0.000</td></tr>
<tr><td id="mattr_1_0" class="vecrowy"></td><td id="mattr_1_1" class="vecrowy"></td><td>0.000</td></tr>
<tr><td id="mattr_2_0" class="vecrowb"></td><td id="mattr_2_1" class="vecrowb"></td><td>1.000</td></tr>
</table>
<script type="text/javascript">
  var example2 = new SimpleTransf2Canvas("myCanvas2","mattr");
  example2.paint();
</script>

